%define name    imgSeek
%define version 0.6.6.1
%define release 1
%define prefix  %{_prefix}

Summary:       Photo collection manager with content-based searching.
Name:          %{name}
Version:       %{version}
Release:       %{release}
License:       GPL
Group:         Applications/Multimedia
URL:           http://imgseek.sf.net/
Source:        %{name}-%{version}.tar.bz2
Packager:      Sean Reifschneider <jafo-rpms@tummy.com>
BuildRoot:     %{_tmppath}/%{name}-root
Requires:      python
BuildRequires: PyQt-devel
BuildRequires: qt-devel
BuildRequires: python-devel

%description
imgSeek is a GNU/Linux photo collection manager capable of searching
through an image database, in which the query is expressed either
as a rough sketch painted by the user or as another image you supply
(or an image in your collection) The searching algorithm makes use of
multiresolution wavelet decompositions of the query and database images.

%prep
%setup
%build
(
   cd imgSeekLib
   g++ -DNDEBUG -fPIC $RPM_OPT_FLAGS -I/usr/lib/qt-3.0.5/include -I/usr/include/python2.2/ \
         -c imgdb.cpp -o imgdb.o
   g++ -DNDEBUG -fPIC $RPM_OPT_FLAGS -I/usr/lib/qt-3.0.5/include -I/usr/include/python2.2 \
         -c haar.cpp -o haar.o
   g++ -shared imgdb.o haar.o -L/usr/lib/qt-3.0.5/lib -lqt-mt -o imgdb.so
   PYTHONPATH=.
   python -O -c "import compileall; compileall.compile_dir('.')"
   python -c "import compileall; compileall.compile_dir('.')"
)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_libdir}/python2.2/site-packages/imgSeekLib
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}

cp Tools/imgSeekCmd "$RPM_BUILD_ROOT"%{_bindir}
cp imgSeek "$RPM_BUILD_ROOT"%{_bindir}

(
   cd imgSeekLib
   cp imgdb.so "$RPM_BUILD_ROOT"%{_libdir}/python2.2/site-packages/imgSeekLib
   cp *.py "$RPM_BUILD_ROOT"%{_libdir}/python2.2/site-packages/imgSeekLib
   cp *.pyc "$RPM_BUILD_ROOT"%{_libdir}/python2.2/site-packages/imgSeekLib
   cp *.pyo "$RPM_BUILD_ROOT"%{_libdir}/python2.2/site-packages/imgSeekLib
)

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(755,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL PKG-INFO README THANKS TODO
%{_bindir}/*
%{_libdir}/python2.2/site-packages/imgSeekLib

%changelog
* Mon Mar 17 2003 Peter Hanecak <hanecak@megaloman.sk> 0.6.6.1-1
- adapted to Doors Linux
